<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Geoclue.geoclue</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="Geoclue-module.html">Package&nbsp;Geoclue</a> ::
        Module&nbsp;geoclue
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="Geoclue.geoclue-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="Geoclue.geoclue-module.html">Module Geoclue.geoclue</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment"># -*- coding: utf-8 -*-</tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"># This file is based on the original geoclue.py by Pierre-Luc Beaudoin</tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment"># </tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"># Copyright (c) 2009 - Paulo Cabido &lt;paulo.cabido@gmail.com&gt;</tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software: you can redistribute it and/or modify it under</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment"># the terms of the GNU General Public License as published by the Free Software</tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, either version 3 of the License, or (at your option) any later</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"># version.</tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful, but WITHOUT</tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"><tt class="py-comment"># ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</tt> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt class="py-comment"># FOR A PARTICULAR PURPOSE. See the GNU General Public License for more</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"><tt class="py-comment"># details.</tt> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU General Public License along with</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"><tt class="py-comment"># this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</tt> </tt>
<a name="L18"></a><tt class="py-lineno"> 18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">ConfigParser</tt> </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">dbus</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line"> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line"><tt id="link-0" class="py-name" targets="Variable Geoclue.geoclue.POSITION_FIELDS_NONE=Geoclue.geoclue-module.html#POSITION_FIELDS_NONE"><a title="Geoclue.geoclue.POSITION_FIELDS_NONE" class="py-name" href="#" onclick="return doclink('link-0', 'POSITION_FIELDS_NONE', 'link-0');">POSITION_FIELDS_NONE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line"><tt id="link-1" class="py-name" targets="Variable Geoclue.geoclue.POSITION_FIELDS_LATITUDE=Geoclue.geoclue-module.html#POSITION_FIELDS_LATITUDE"><a title="Geoclue.geoclue.POSITION_FIELDS_LATITUDE" class="py-name" href="#" onclick="return doclink('link-1', 'POSITION_FIELDS_LATITUDE', 'link-1');">POSITION_FIELDS_LATITUDE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">0</tt> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line"><tt id="link-2" class="py-name" targets="Variable Geoclue.geoclue.POSITION_FIELDS_LONGITUDE=Geoclue.geoclue-module.html#POSITION_FIELDS_LONGITUDE"><a title="Geoclue.geoclue.POSITION_FIELDS_LONGITUDE" class="py-name" href="#" onclick="return doclink('link-2', 'POSITION_FIELDS_LONGITUDE', 'link-2');">POSITION_FIELDS_LONGITUDE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">1</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line"><tt id="link-3" class="py-name" targets="Variable Geoclue.geoclue.POSITION_FIELDS_ALTITUDE=Geoclue.geoclue-module.html#POSITION_FIELDS_ALTITUDE"><a title="Geoclue.geoclue.POSITION_FIELDS_ALTITUDE" class="py-name" href="#" onclick="return doclink('link-3', 'POSITION_FIELDS_ALTITUDE', 'link-3');">POSITION_FIELDS_ALTITUDE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">2</tt> </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line"> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line"><tt id="link-4" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_FIELD_STREET=Geoclue.geoclue-module.html#ADDRESS_FIELD_STREET"><a title="Geoclue.geoclue.ADDRESS_FIELD_STREET" class="py-name" href="#" onclick="return doclink('link-4', 'ADDRESS_FIELD_STREET', 'link-4');">ADDRESS_FIELD_STREET</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"street"</tt> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line"><tt id="link-5" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_FIELD_AREA=Geoclue.geoclue-module.html#ADDRESS_FIELD_AREA"><a title="Geoclue.geoclue.ADDRESS_FIELD_AREA" class="py-name" href="#" onclick="return doclink('link-5', 'ADDRESS_FIELD_AREA', 'link-5');">ADDRESS_FIELD_AREA</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"area"</tt> </tt>
<a name="L29"></a><tt class="py-lineno"> 29</tt>  <tt class="py-line"><tt id="link-6" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_FIELD_LOCALITY=Geoclue.geoclue-module.html#ADDRESS_FIELD_LOCALITY"><a title="Geoclue.geoclue.ADDRESS_FIELD_LOCALITY" class="py-name" href="#" onclick="return doclink('link-6', 'ADDRESS_FIELD_LOCALITY', 'link-6');">ADDRESS_FIELD_LOCALITY</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"locality"</tt> </tt>
<a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line"><tt id="link-7" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_FIELD_REGION=Geoclue.geoclue-module.html#ADDRESS_FIELD_REGION"><a title="Geoclue.geoclue.ADDRESS_FIELD_REGION" class="py-name" href="#" onclick="return doclink('link-7', 'ADDRESS_FIELD_REGION', 'link-7');">ADDRESS_FIELD_REGION</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"region"</tt> </tt>
<a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line"><tt id="link-8" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_FIELD_COUNTRY=Geoclue.geoclue-module.html#ADDRESS_FIELD_COUNTRY"><a title="Geoclue.geoclue.ADDRESS_FIELD_COUNTRY" class="py-name" href="#" onclick="return doclink('link-8', 'ADDRESS_FIELD_COUNTRY', 'link-8');">ADDRESS_FIELD_COUNTRY</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"country"</tt> </tt>
<a name="L32"></a><tt class="py-lineno"> 32</tt>  <tt class="py-line"> </tt>
<a name="L33"></a><tt class="py-lineno"> 33</tt>  <tt class="py-line"><tt id="link-9" class="py-name" targets="Variable Geoclue.geoclue.RESOURCE_NONE=Geoclue.geoclue-module.html#RESOURCE_NONE"><a title="Geoclue.geoclue.RESOURCE_NONE" class="py-name" href="#" onclick="return doclink('link-9', 'RESOURCE_NONE', 'link-9');">RESOURCE_NONE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line"><tt id="link-10" class="py-name" targets="Variable Geoclue.geoclue.RESOURCE_NETWORK=Geoclue.geoclue-module.html#RESOURCE_NETWORK"><a title="Geoclue.geoclue.RESOURCE_NETWORK" class="py-name" href="#" onclick="return doclink('link-10', 'RESOURCE_NETWORK', 'link-10');">RESOURCE_NETWORK</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">0</tt> </tt>
<a name="L35"></a><tt class="py-lineno"> 35</tt>  <tt class="py-line"><tt id="link-11" class="py-name" targets="Variable Geoclue.geoclue.RESOURCE_CELL=Geoclue.geoclue-module.html#RESOURCE_CELL"><a title="Geoclue.geoclue.RESOURCE_CELL" class="py-name" href="#" onclick="return doclink('link-11', 'RESOURCE_CELL', 'link-11');">RESOURCE_CELL</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">1</tt> </tt>
<a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line"><tt id="link-12" class="py-name" targets="Variable Geoclue.geoclue.RESOURCE_GPS=Geoclue.geoclue-module.html#RESOURCE_GPS"><a title="Geoclue.geoclue.RESOURCE_GPS" class="py-name" href="#" onclick="return doclink('link-12', 'RESOURCE_GPS', 'link-12');">RESOURCE_GPS</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">2</tt> </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line"><tt id="link-13" class="py-name" targets="Variable Geoclue.geoclue.RESOURCE_ALL=Geoclue.geoclue-module.html#RESOURCE_ALL"><a title="Geoclue.geoclue.RESOURCE_ALL" class="py-name" href="#" onclick="return doclink('link-13', 'RESOURCE_ALL', 'link-13');">RESOURCE_ALL</a></tt> <tt class="py-op">=</tt> <tt class="py-op">(</tt><tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">10</tt><tt class="py-op">)</tt> <tt class="py-op">-</tt> <tt class="py-number">1</tt> </tt>
<a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line"> </tt>
<a name="L39"></a><tt class="py-lineno"> 39</tt>  <tt class="py-line"><tt id="link-14" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_NONE=Geoclue.geoclue-module.html#ACCURACY_LEVEL_NONE"><a title="Geoclue.geoclue.ACCURACY_LEVEL_NONE" class="py-name" href="#" onclick="return doclink('link-14', 'ACCURACY_LEVEL_NONE', 'link-14');">ACCURACY_LEVEL_NONE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L40"></a><tt class="py-lineno"> 40</tt>  <tt class="py-line"><tt id="link-15" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_COUNTRY=Geoclue.geoclue-module.html#ACCURACY_LEVEL_COUNTRY"><a title="Geoclue.geoclue.ACCURACY_LEVEL_COUNTRY" class="py-name" href="#" onclick="return doclink('link-15', 'ACCURACY_LEVEL_COUNTRY', 'link-15');">ACCURACY_LEVEL_COUNTRY</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> </tt>
<a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line"><tt id="link-16" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_REGION=Geoclue.geoclue-module.html#ACCURACY_LEVEL_REGION"><a title="Geoclue.geoclue.ACCURACY_LEVEL_REGION" class="py-name" href="#" onclick="return doclink('link-16', 'ACCURACY_LEVEL_REGION', 'link-16');">ACCURACY_LEVEL_REGION</a></tt> <tt class="py-op">=</tt> <tt class="py-number">2</tt> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line"><tt id="link-17" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_LOCALITY=Geoclue.geoclue-module.html#ACCURACY_LEVEL_LOCALITY"><a title="Geoclue.geoclue.ACCURACY_LEVEL_LOCALITY" class="py-name" href="#" onclick="return doclink('link-17', 'ACCURACY_LEVEL_LOCALITY', 'link-17');">ACCURACY_LEVEL_LOCALITY</a></tt> <tt class="py-op">=</tt> <tt class="py-number">3</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line"><tt id="link-18" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_POSTALCODE=Geoclue.geoclue-module.html#ACCURACY_LEVEL_POSTALCODE"><a title="Geoclue.geoclue.ACCURACY_LEVEL_POSTALCODE" class="py-name" href="#" onclick="return doclink('link-18', 'ACCURACY_LEVEL_POSTALCODE', 'link-18');">ACCURACY_LEVEL_POSTALCODE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">4</tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line"><tt id="link-19" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_STREET=Geoclue.geoclue-module.html#ACCURACY_LEVEL_STREET"><a title="Geoclue.geoclue.ACCURACY_LEVEL_STREET" class="py-name" href="#" onclick="return doclink('link-19', 'ACCURACY_LEVEL_STREET', 'link-19');">ACCURACY_LEVEL_STREET</a></tt> <tt class="py-op">=</tt> <tt class="py-number">5</tt> </tt>
<a name="L45"></a><tt class="py-lineno"> 45</tt>  <tt class="py-line"><tt id="link-20" class="py-name" targets="Variable Geoclue.geoclue.ACCURACY_LEVEL_DETAILED=Geoclue.geoclue-module.html#ACCURACY_LEVEL_DETAILED"><a title="Geoclue.geoclue.ACCURACY_LEVEL_DETAILED" class="py-name" href="#" onclick="return doclink('link-20', 'ACCURACY_LEVEL_DETAILED', 'link-20');">ACCURACY_LEVEL_DETAILED</a></tt> <tt class="py-op">=</tt> <tt class="py-number">6</tt> </tt>
<a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line"> </tt>
<a name="L47"></a><tt class="py-lineno"> 47</tt>  <tt class="py-line"><tt id="link-21" class="py-name" targets="Variable Geoclue.geoclue.INTERFACE_NONE=Geoclue.geoclue-module.html#INTERFACE_NONE"><a title="Geoclue.geoclue.INTERFACE_NONE" class="py-name" href="#" onclick="return doclink('link-21', 'INTERFACE_NONE', 'link-21');">INTERFACE_NONE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line"><tt id="link-22" class="py-name" targets="Variable Geoclue.geoclue.INTERFACE_ADDRESS=Geoclue.geoclue-module.html#INTERFACE_ADDRESS"><a title="Geoclue.geoclue.INTERFACE_ADDRESS" class="py-name" href="#" onclick="return doclink('link-22', 'INTERFACE_ADDRESS', 'link-22');">INTERFACE_ADDRESS</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">0</tt> </tt>
<a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line"><tt id="link-23" class="py-name" targets="Variable Geoclue.geoclue.INTERFACE_POSITION=Geoclue.geoclue-module.html#INTERFACE_POSITION"><a title="Geoclue.geoclue.INTERFACE_POSITION" class="py-name" href="#" onclick="return doclink('link-23', 'INTERFACE_POSITION', 'link-23');">INTERFACE_POSITION</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">1</tt> </tt>
<a name="L50"></a><tt class="py-lineno"> 50</tt>  <tt class="py-line"><tt id="link-24" class="py-name" targets="Variable Geoclue.geoclue.INTERFACE_GEOCODE=Geoclue.geoclue-module.html#INTERFACE_GEOCODE"><a title="Geoclue.geoclue.INTERFACE_GEOCODE" class="py-name" href="#" onclick="return doclink('link-24', 'INTERFACE_GEOCODE', 'link-24');">INTERFACE_GEOCODE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">2</tt> </tt>
<a name="L51"></a><tt class="py-lineno"> 51</tt>  <tt class="py-line"><tt id="link-25" class="py-name" targets="Variable Geoclue.geoclue.INTERFACE_REVERSE_GEOCODE=Geoclue.geoclue-module.html#INTERFACE_REVERSE_GEOCODE"><a title="Geoclue.geoclue.INTERFACE_REVERSE_GEOCODE" class="py-name" href="#" onclick="return doclink('link-25', 'INTERFACE_REVERSE_GEOCODE', 'link-25');">INTERFACE_REVERSE_GEOCODE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> <tt class="py-op">&lt;&lt;</tt> <tt class="py-number">3</tt> </tt>
<a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line"> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line"><tt id="link-26" class="py-name" targets="Variable Geoclue.geoclue.STATUS_ERROR=Geoclue.geoclue-module.html#STATUS_ERROR"><a title="Geoclue.geoclue.STATUS_ERROR" class="py-name" href="#" onclick="return doclink('link-26', 'STATUS_ERROR', 'link-26');">STATUS_ERROR</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line"><tt id="link-27" class="py-name" targets="Variable Geoclue.geoclue.STATUS_UNAVAILABLE=Geoclue.geoclue-module.html#STATUS_UNAVAILABLE"><a title="Geoclue.geoclue.STATUS_UNAVAILABLE" class="py-name" href="#" onclick="return doclink('link-27', 'STATUS_UNAVAILABLE', 'link-27');">STATUS_UNAVAILABLE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> </tt>
<a name="L55"></a><tt class="py-lineno"> 55</tt>  <tt class="py-line"><tt id="link-28" class="py-name" targets="Variable Geoclue.geoclue.STATUS_ACQUIRING=Geoclue.geoclue-module.html#STATUS_ACQUIRING"><a title="Geoclue.geoclue.STATUS_ACQUIRING" class="py-name" href="#" onclick="return doclink('link-28', 'STATUS_ACQUIRING', 'link-28');">STATUS_ACQUIRING</a></tt> <tt class="py-op">=</tt> <tt class="py-number">2</tt> </tt>
<a name="L56"></a><tt class="py-lineno"> 56</tt>  <tt class="py-line"><tt id="link-29" class="py-name" targets="Variable Geoclue.geoclue.STATUS_AVAILABLE=Geoclue.geoclue-module.html#STATUS_AVAILABLE"><a title="Geoclue.geoclue.STATUS_AVAILABLE" class="py-name" href="#" onclick="return doclink('link-29', 'STATUS_AVAILABLE', 'link-29');">STATUS_AVAILABLE</a></tt> <tt class="py-op">=</tt> <tt class="py-number">3</tt> </tt>
<a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line"> </tt>
<a name="L58"></a><tt class="py-lineno"> 58</tt>  <tt class="py-line"><tt class="py-comment">### PROVIDERS - Added, pcabido</tt> </tt>
<a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line"><tt id="link-30" class="py-name" targets="Variable Geoclue.geoclue.MASTER_IFACE=Geoclue.geoclue-module.html#MASTER_IFACE"><a title="Geoclue.geoclue.MASTER_IFACE" class="py-name" href="#" onclick="return doclink('link-30', 'MASTER_IFACE', 'link-30');">MASTER_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue.Master"</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line"><tt id="link-31" class="py-name" targets="Variable Geoclue.geoclue.MASTER_PATH=Geoclue.geoclue-module.html#MASTER_PATH"><a title="Geoclue.geoclue.MASTER_PATH" class="py-name" href="#" onclick="return doclink('link-31', 'MASTER_PATH', 'link-31');">MASTER_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue/Master"</tt> </tt>
<a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line"> </tt>
<a name="L62"></a><tt class="py-lineno"> 62</tt>  <tt class="py-line"><tt id="link-32" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_IFACE=Geoclue.geoclue-module.html#ADDRESS_IFACE"><a title="Geoclue.geoclue.ADDRESS_IFACE" class="py-name" href="#" onclick="return doclink('link-32', 'ADDRESS_IFACE', 'link-32');">ADDRESS_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue.Address"</tt> </tt>
<a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line"><tt id="link-33" class="py-name" targets="Variable Geoclue.geoclue.ADDRESS_PATH=Geoclue.geoclue-module.html#ADDRESS_PATH"><a title="Geoclue.geoclue.ADDRESS_PATH" class="py-name" href="#" onclick="return doclink('link-33', 'ADDRESS_PATH', 'link-33');">ADDRESS_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue/Address"</tt> </tt>
<a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line"> </tt>
<a name="L65"></a><tt class="py-lineno"> 65</tt>  <tt class="py-line"><tt id="link-34" class="py-name" targets="Variable Geoclue.geoclue.POSITION_IFACE=Geoclue.geoclue-module.html#POSITION_IFACE"><a title="Geoclue.geoclue.POSITION_IFACE" class="py-name" href="#" onclick="return doclink('link-34', 'POSITION_IFACE', 'link-34');">POSITION_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue.Position"</tt> </tt>
<a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line"><tt id="link-35" class="py-name" targets="Variable Geoclue.geoclue.POSITION_PATH=Geoclue.geoclue-module.html#POSITION_PATH"><a title="Geoclue.geoclue.POSITION_PATH" class="py-name" href="#" onclick="return doclink('link-35', 'POSITION_PATH', 'link-35');">POSITION_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue/Position"</tt> </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line"> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line"><tt id="link-36" class="py-name" targets="Variable Geoclue.geoclue.GEOCLUE_IFACE=Geoclue.geoclue-module.html#GEOCLUE_IFACE"><a title="Geoclue.geoclue.GEOCLUE_IFACE" class="py-name" href="#" onclick="return doclink('link-36', 'GEOCLUE_IFACE', 'link-36');">GEOCLUE_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue"</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line"><tt id="link-37" class="py-name" targets="Variable Geoclue.geoclue.GEOCLUE_PATH=Geoclue.geoclue-module.html#GEOCLUE_PATH"><a title="Geoclue.geoclue.GEOCLUE_PATH" class="py-name" href="#" onclick="return doclink('link-37', 'GEOCLUE_PATH', 'link-37');">GEOCLUE_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue"</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line"> </tt>
<a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line"><tt id="link-38" class="py-name" targets="Variable Geoclue.geoclue.GEONAMES_IFACE=Geoclue.geoclue-module.html#GEONAMES_IFACE"><a title="Geoclue.geoclue.GEONAMES_IFACE" class="py-name" href="#" onclick="return doclink('link-38', 'GEONAMES_IFACE', 'link-38');">GEONAMES_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue.Providers.Geonames"</tt> </tt>
<a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line"><tt id="link-39" class="py-name" targets="Variable Geoclue.geoclue.GEONAMES_PATH=Geoclue.geoclue-module.html#GEONAMES_PATH"><a title="Geoclue.geoclue.GEONAMES_PATH" class="py-name" href="#" onclick="return doclink('link-39', 'GEONAMES_PATH', 'link-39');">GEONAMES_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue/Providers/Geonames"</tt> </tt>
<a name="L73"></a><tt class="py-lineno"> 73</tt>  <tt class="py-line"> </tt>
<a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line"><tt id="link-40" class="py-name" targets="Variable Geoclue.geoclue.REVERSE_IFACE=Geoclue.geoclue-module.html#REVERSE_IFACE"><a title="Geoclue.geoclue.REVERSE_IFACE" class="py-name" href="#" onclick="return doclink('link-40', 'REVERSE_IFACE', 'link-40');">REVERSE_IFACE</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.freedesktop.Geoclue.ReverseGeocode"</tt> </tt>
<a name="L75"></a><tt class="py-lineno"> 75</tt>  <tt class="py-line"><tt id="link-41" class="py-name" targets="Variable Geoclue.geoclue.REVERSE_PATH=Geoclue.geoclue-module.html#REVERSE_PATH"><a title="Geoclue.geoclue.REVERSE_PATH" class="py-name" href="#" onclick="return doclink('link-41', 'REVERSE_PATH', 'link-41');">REVERSE_PATH</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/org/freedesktop/Geoclue/ReverseGeocode"</tt> </tt>
<a name="L76"></a><tt class="py-lineno"> 76</tt>  <tt class="py-line"><tt class="py-comment">###</tt> </tt>
<a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line"> </tt>
<a name="GeoclueProvider"></a><div id="GeoclueProvider-def"><a name="L78"></a><tt class="py-lineno"> 78</tt> <a class="py-toggle" href="#" id="GeoclueProvider-toggle" onclick="return toggle('GeoclueProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="Geoclue.geoclue.GeoclueProvider-class.html">GeoclueProvider</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GeoclueProvider-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="GeoclueProvider-expanded"><a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line">    <tt class="py-keyword">pass</tt> </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line"> </tt>
<a name="GeoclueProvider.__init__"></a><div id="GeoclueProvider.__init__-def"><a name="L81"></a><tt class="py-lineno"> 81</tt> <a class="py-toggle" href="#" id="GeoclueProvider.__init__-toggle" onclick="return toggle('GeoclueProvider.__init__');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="Geoclue.geoclue.GeoclueProvider-class.html#__init__">__init__</a> <tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">filename</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GeoclueProvider.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="GeoclueProvider.__init__-expanded"><a name="L82"></a><tt class="py-lineno"> 82</tt>  <tt class="py-line">        <tt class="py-docstring">'''</tt> </tt>
<a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line"><tt class="py-docstring">        Takes the path to a .provider file</tt> </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line"><tt class="py-docstring">        '''</tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line"> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line">        <tt class="py-name">file</tt> <tt class="py-op">=</tt> <tt class="py-name">ConfigParser</tt><tt class="py-op">.</tt><tt class="py-name">RawConfigParser</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line">        <tt class="py-name">file</tt><tt class="py-op">.</tt><tt class="py-name">read</tt><tt class="py-op">(</tt><tt class="py-name">filename</tt><tt class="py-op">)</tt> </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line"> </tt>
<a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">name</tt> <tt class="py-op">=</tt> <tt class="py-name">file</tt><tt class="py-op">.</tt><tt class="py-name">get</tt><tt class="py-op">(</tt><tt class="py-string">'Geoclue Provider'</tt><tt class="py-op">,</tt> <tt class="py-string">'Name'</tt><tt class="py-op">)</tt> </tt>
<a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">path</tt> <tt class="py-op">=</tt> <tt class="py-name">file</tt><tt class="py-op">.</tt><tt class="py-name">get</tt><tt class="py-op">(</tt><tt class="py-string">'Geoclue Provider'</tt><tt class="py-op">,</tt> <tt class="py-string">'Path'</tt><tt class="py-op">)</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">service</tt> <tt class="py-op">=</tt> <tt class="py-name">file</tt><tt class="py-op">.</tt><tt class="py-name">get</tt><tt class="py-op">(</tt><tt class="py-string">'Geoclue Provider'</tt><tt class="py-op">,</tt> <tt class="py-string">'Service'</tt><tt class="py-op">)</tt> </tt>
<a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line">        <tt class="py-name">interfaces</tt> <tt class="py-op">=</tt> <tt class="py-name">file</tt><tt class="py-op">.</tt><tt class="py-name">get</tt><tt class="py-op">(</tt><tt class="py-string">'Geoclue Provider'</tt><tt class="py-op">,</tt> <tt class="py-string">'Interfaces'</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">split</tt><tt class="py-op">(</tt><tt class="py-string">";"</tt><tt class="py-op">)</tt> </tt>
<a name="L93"></a><tt class="py-lineno"> 93</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">interfaces</tt> <tt class="py-op">=</tt> <tt id="link-42" class="py-name"><a title="Geoclue.geoclue.INTERFACE_NONE" class="py-name" href="#" onclick="return doclink('link-42', 'INTERFACE_NONE', 'link-21');">INTERFACE_NONE</a></tt> </tt>
<a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line"> </tt>
<a name="L95"></a><tt class="py-lineno"> 95</tt>  <tt class="py-line">        <tt class="py-keyword">for</tt> <tt class="py-name">interface</tt> <tt class="py-keyword">in</tt> <tt class="py-name">interfaces</tt><tt class="py-op">:</tt> </tt>
<a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">interface</tt> <tt class="py-op">==</tt> <tt class="py-string">"org.freedesktop.Geoclue.Address"</tt><tt class="py-op">:</tt> </tt>
<a name="L97"></a><tt class="py-lineno"> 97</tt>  <tt class="py-line">               <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">interfaces</tt> <tt class="py-op">+=</tt> <tt id="link-43" class="py-name"><a title="Geoclue.geoclue.INTERFACE_ADDRESS" class="py-name" href="#" onclick="return doclink('link-43', 'INTERFACE_ADDRESS', 'link-22');">INTERFACE_ADDRESS</a></tt> </tt>
<a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt class="py-name">interface</tt> <tt class="py-op">==</tt> <tt class="py-string">"org.freedesktop.Geoclue.Position"</tt><tt class="py-op">:</tt> </tt>
<a name="L99"></a><tt class="py-lineno"> 99</tt>  <tt class="py-line">               <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">interfaces</tt> <tt class="py-op">+=</tt> <tt id="link-44" class="py-name"><a title="Geoclue.geoclue.INTERFACE_POSITION" class="py-name" href="#" onclick="return doclink('link-44', 'INTERFACE_POSITION', 'link-23');">INTERFACE_POSITION</a></tt> </tt>
<a name="L100"></a><tt class="py-lineno">100</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt class="py-name">interface</tt> <tt class="py-op">==</tt> <tt class="py-string">"org.freedesktop.Geoclue.Geocode"</tt><tt class="py-op">:</tt> </tt>
<a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line">               <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">interfaces</tt> <tt class="py-op">+=</tt> <tt id="link-45" class="py-name"><a title="Geoclue.geoclue.INTERFACE_GEOCODE" class="py-name" href="#" onclick="return doclink('link-45', 'INTERFACE_GEOCODE', 'link-24');">INTERFACE_GEOCODE</a></tt> </tt>
<a name="L102"></a><tt class="py-lineno">102</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt class="py-name">interface</tt> <tt class="py-op">==</tt> <tt class="py-string">"org.freedesktop.Geoclue.ReverseGeocode"</tt><tt class="py-op">:</tt> </tt>
<a name="L103"></a><tt class="py-lineno">103</tt>  <tt class="py-line">               <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">interfaces</tt> <tt class="py-op">+=</tt> <tt id="link-46" class="py-name"><a title="Geoclue.geoclue.INTERFACE_REVERSE_GEOCODE" class="py-name" href="#" onclick="return doclink('link-46', 'INTERFACE_REVERSE_GEOCODE', 'link-25');">INTERFACE_REVERSE_GEOCODE</a></tt> </tt>
</div><a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line">                </tt>
<a name="GeoclueProvider.get_proxy"></a><div id="GeoclueProvider.get_proxy-def"><a name="L105"></a><tt class="py-lineno">105</tt> <a class="py-toggle" href="#" id="GeoclueProvider.get_proxy-toggle" onclick="return toggle('GeoclueProvider.get_proxy');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="Geoclue.geoclue.GeoclueProvider-class.html#get_proxy">get_proxy</a> <tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GeoclueProvider.get_proxy-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="GeoclueProvider.get_proxy-expanded"><a name="L106"></a><tt class="py-lineno">106</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">bus</tt> <tt class="py-op">=</tt> <tt class="py-name">dbus</tt><tt class="py-op">.</tt><tt class="py-name">SessionBus</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">bus</tt><tt class="py-op">.</tt><tt class="py-name">get_object</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">service</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">path</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L108"></a><tt class="py-lineno">108</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Wed Aug 26 23:13:45 2009
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
